Macro Texture Objects: Difference between revisions

From FreeCAD Documentation
m (Languages spanish)
(Fixed icon location for Addon Manager.)
 
(30 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
{{Macro|Name=Texture Objects|Description=This macro allows you to temporarily put a texture image on selected objects. To remove the textures, simply close and reopen the document.|Author=yorik}}
<translate>


<!--T:1-->
[[Image:Textured_objects.jpg]]
{{Macro
|Name=Texture Objects
|Icon=Macro_Texture_Objects.png
|Description=This macro allows you to temporarily put a texture image on selected objects. To remove the textures, simply close and reopen the document.
|Author=yorik
|Version=1.1
|Date=2023-12-08
|Download=[https://wiki.freecad.org/images/d/da/Macro_Texture_Objects.png ToolBar Icon]
|FCVersion= 0.18 and below
}}


==Description== <!--T:8-->
import FreeCADGui
from PyQt4 import QtGui
from pivy import coin
# get a jpg filename
jpgfilename = QtGui.QFileDialog.getOpenFileName(QtGui.qApp.activeWindow(),'Open image file','*.jpg')
# apply textures
for obj in FreeCADGui.Selection.getSelection():
rootnode = obj.ViewObject.RootNode
tex = coin.SoTexture2()
tex.filename = str(jpgfilename)
rootnode.insertChild(tex,1)


<!--T:2-->
{{languages | {{es|Macro_Texture_Objects/es}} }}
This macro allows you to temporarily put a texture image on selected objects. To remove the textures, simply close and reopen the document.

</translate>
[[Image:Textured_objects.jpg|680px]]
<translate>

==Script== <!--T:4-->
</translate>

'''Macro_Texture_Objects.FCMacro'''

{{MacroCode|code=

import FreeCADGui
from PySide import QtGui
from pivy import coin

# get a jpg filename
jpgfilename = QtGui.QFileDialog.getOpenFileName(QtGui.QApplication.activeWindow(),'Open image file','*.jpg')

# apply textures
for obj in FreeCADGui.Selection.getSelection():
rootnode = obj.ViewObject.RootNode
tex = coin.SoTexture2()
tex.filename = str(jpgfilename[0])
rootnode.insertChild(tex,1)

}}
<translate>

==Links== <!--T:5-->

<!--T:6-->
* Forum thread [https://forum.freecadweb.org/viewtopic.php?t=7216 Macro Texture Objects]

<!--T:7-->
* Forum thread [https://forum.freecadweb.org/viewtopic.php?f=3&t=28795 Script to map texture with environement checked]

</translate>

Latest revision as of 22:25, 28 December 2023

Texture Objects

Description
This macro allows you to temporarily put a texture image on selected objects. To remove the textures, simply close and reopen the document.

Macro version: 1.1
Last modified: 2023-12-08
FreeCAD version: 0.18 and below
Download: ToolBar Icon
Author: yorik
Author
yorik
Download
ToolBar Icon
Links
Macro Version
1.1
Date last modified
2023-12-08
FreeCAD Version(s)
0.18 and below
Default shortcut
None
See also
None

Description

This macro allows you to temporarily put a texture image on selected objects. To remove the textures, simply close and reopen the document.

Script

Macro_Texture_Objects.FCMacro

import FreeCADGui
from PySide import QtGui
from pivy import coin

# get a jpg filename
jpgfilename = QtGui.QFileDialog.getOpenFileName(QtGui.QApplication.activeWindow(),'Open image file','*.jpg')

# apply textures
for obj in FreeCADGui.Selection.getSelection():
    rootnode = obj.ViewObject.RootNode
    tex =  coin.SoTexture2()
    tex.filename = str(jpgfilename[0])
    rootnode.insertChild(tex,1)

Links